
//[2020.09.30.수][생성]{------------------------------------------------------------
//이 <GProgressDialog> 는 [폼디자이너] 를 사용한 첫 작품으로 [중복폴더추출기] 를
//만드는 과정에서 [중복폴더복사] 를 하는 과정에서 [대용량 파일] 의 경우 멈춘 것처럼
//보이는 현상이 있어, [복사진행과정] 을 보여줄 필요가 있어 만든다.
//
//1) 파일을 복사는 경우 한개의 [진행막대] 를 가진 대화상자.
//
//2) [파일목록 -> 파일목록] 으로 복사하는 경우.
//   인 경우는 [파일목록/파일복사] 를 위한 2 개의 [진행막대] 가 필요.
//   즉, [전체진행] 과 [개별진행] 을 모두 보여주기 위한것.
//
//이 [그림부품] 은 [폼디자이너] 에서 사용되지 않으며,BCB 용으로 사용되나
//[맷돌 GUI:API] 에서 주로 사용되므로 [맷돌 GUI:그림부품] 의 형식으로 만든다.
//}---------------------------------------------------------------------------------

#ifndef GProgressDialog_h
#define GProgressDialog_h

//[그림부품]
//{
    #include  "GForm.h"
    #include  "GButton.h"
    #include  "GLabel.h"
    #include  "GProgress.h"
    
//}

class GProgressDialog
{
  //[2020.10.01.목][생성]
  
  private:
  public:

  //[생성자/소멸자]
  //{
      //[2020.10.01.목][완료]
      __fastcall GProgressDialog(void);

      //[2020.10.01.목][완료]
      __fastcall ~GProgressDialog(void);

  //}

  //[환경변수]
  //{
      //현재 여기서는 사용하지 않지만 일단 기본적으로 추가해 놓는다.
      struct  IDE_OPTION   *_ide_option;

  //}

  //[내부 부품]
  //{
      //이 [대화상자] 의 기본바탕을 제공.
      TGForm_Form    *_base_GForm;

      //[출력 라벨]
      //{
          //[2020.10.01.목]{-------------------------------
          //[출발지경로], [도착지경로] 를 보여주기 위한것.
          //}----------------------------------------------

          TGLabel_Form  *_top_GLabel;

          TGLabel_Form  *_btm_GLabel;

      //}

      //[진행막대]
      //{
          //[2020.10.01.목][추가]{------------
          //[전체진행], [개별진행] 두개 필요.
          //}---------------------------------

          TGProgress_Form  *_total_GProgress;

          TGProgress_Form  *_one_GProgress;

      //}

      TGButton_Form  *_btn_GBtn;

  //}

  //[동작함수]
  //{
      //[2020.10.01.목][완료]
      void __fastcall _EVENT_ReSize_base_GForm(void);

      //[2020.10.01.목][완료]
      void __fastcall _EVENT_Click_btn_GBtn(void);

  //}

  //[제어함수]
  //{
      //[2020.10.01.목][완료]
      void __fastcall _Visible(bool  pVisible);

      //[2020.10.01.목][완료]
      bool __fastcall _IsVisible(void);

      //[2020.10.01.목][완료]
      void __fastcall _TopLabel_Caption(char  *pCaption);

      //[2020.10.01.목][완료]
      void __fastcall _BtmLabel_Caption(char  *pCaption);

      //[2020.10.01.목][완료]
      void __fastcall _TotalProgress_Max(int  pMax);

      //[2020.10.01.목][완료]
      void __fastcall _TotalProgress_Min(int  pMin);

      //[2020.10.01.목][완료]
      void __fastcall _TotalProgress_Progress(int  pProgress);

      //[2020.10.01.목][완료]
      void __fastcall _OneProgress_Max(int  pMax);

      //[2020.10.01.목][완료]
      void __fastcall _OneProgress_Min(int  pMin);

      //[2020.10.01.목][완료]
      void __fastcall _OneProgress_Progress(int  pProgress);

      //[2020.10.01.목][완료]
      void __fastcall _Mode_Single(void);

      //[2020.10.01.목][완료]
      void __fastcall _Mode_Multi(void);

  //}

};

#endif
